Bug 1006646 - [abrt] spyder-2.2.2-1.fc18: QHashNode: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] spyder-2.2.2-1.fc18: QHashNode: Process /usr/bin/python2.7 was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spyder (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
abrt_hash:3578dc87c2b0ffc0013057c6ed5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 22:42 EDT by Joseph O Morrow
Modified: 2016-11-30 19:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:22:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (85.51 KB, text/plain)
2013-09-10 22:42 EDT, Joseph O Morrow
no flags Details
File: cgroup (129 bytes, text/plain)
2013-09-10 22:42 EDT, Joseph O Morrow
no flags Details
File: core_backtrace (34.59 KB, text/plain)
2013-09-10 22:42 EDT, Joseph O Morrow
no flags Details
File: dso_list (40.04 KB, text/plain)
2013-09-10 22:42 EDT, Joseph O Morrow
no flags Details
File: environ (4.38 KB, text/plain)
2013-09-10 22:42 EDT, Joseph O Morrow
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-10 22:42 EDT, Joseph O Morrow
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-10 22:42 EDT, Joseph O Morrow
no flags Details
File: maps (144.09 KB, text/plain)
2013-09-10 22:42 EDT, Joseph O Morrow
no flags Details
File: open_fds (168 bytes, text/plain)
2013-09-10 22:42 EDT, Joseph O Morrow
no flags Details
File: proc_pid_status (808 bytes, text/plain)
2013-09-10 22:42 EDT, Joseph O Morrow
no flags Details

  None (edit)
Description Joseph O Morrow 2013-09-10 22:42:25 EDT
Version-Release number of selected component:
spyder-2.2.2-1.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/spyder
crash_function: QHashNode
executable:     /usr/bin/python2.7
kernel:         3.10.10-100.fc18.i686.PAE
runlevel:       N 5
uid:            1000
var_log_messages: Sep 10 22:30:31 upstairs abrt[2849]: Saved core dump of pid 2792 (/usr/bin/python2.7) to /var/tmp/abrt/ccpp-2013-09-10-22:30:20-2792 (293572608 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QHashNode at /usr/include/QtCore/qhash.h:224
 #1 QHash<void*, PyQtProxy*>::duplicateNode at /usr/include/QtCore/qhash.h:532
 #2 QHashData::detach_helper2 at tools/qhash.cpp:239
 #3 QHash<void*, PyQtProxy*>::detach_helper at /usr/include/QtCore/qhash.h:584
 #4 detach at /usr/include/QtCore/qhash.h:303
 #5 find at /usr/include/QtCore/qhash.h:867
 #6 sipQtFindSipslot at qpycore_sip_helpers.cpp:309
 #7 sipWrapper_traverse at siplib.c:10011
 #9 subtype_traverse at /usr/src/debug/Python-2.7.3/Objects/typeobject.c:838
 #10 subtract_refs at /usr/src/debug/Python-2.7.3/Modules/gcmodule.c:345
Comment 1 Joseph O Morrow 2013-09-10 22:42:28 EDT
Created attachment 796212 [details]
File: backtrace
Comment 2 Joseph O Morrow 2013-09-10 22:42:31 EDT
Created attachment 796213 [details]
File: cgroup
Comment 3 Joseph O Morrow 2013-09-10 22:42:33 EDT
Created attachment 796214 [details]
File: core_backtrace
Comment 4 Joseph O Morrow 2013-09-10 22:42:36 EDT
Created attachment 796215 [details]
File: dso_list
Comment 5 Joseph O Morrow 2013-09-10 22:42:38 EDT
Created attachment 796216 [details]
File: environ
Comment 6 Joseph O Morrow 2013-09-10 22:42:40 EDT
Created attachment 796217 [details]
File: exploitable
Comment 7 Joseph O Morrow 2013-09-10 22:42:43 EDT
Created attachment 796218 [details]
File: limits
Comment 8 Joseph O Morrow 2013-09-10 22:42:45 EDT
Created attachment 796219 [details]
File: maps
Comment 9 Joseph O Morrow 2013-09-10 22:42:48 EDT
Created attachment 796220 [details]
File: open_fds
Comment 10 Joseph O Morrow 2013-09-10 22:42:50 EDT
Created attachment 796221 [details]
File: proc_pid_status
Comment 11 Fedora End Of Life 2013-12-21 09:34:14 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:22:37 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.